# List debit memos Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Retrieves the information about all debit memos associated with all customer accounts. ### Filtering You can use query parameters to restrict the data returned in the response. Each query parameter corresponds to one field in the response body. If the value of a filterable field is string, you can set the corresponding query parameter to null when filtering. Then, you can get the response data with this field value being null. Examples: - /v1/debit-memos?status=Posted - /v1/debit-memos?referredInvoiceId=null&status=Draft - /v1/debit-memos?status=Posted&type=External&sort=+number Endpoint: GET /v1/debit-memos Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `page` (integer) The index number of the page that you want to retrieve. This parameter is dependent on pageSize. You must set pageSize before specifying page. For example, if you set pageSize to 20 and page to 2, the 21st to 40th records are returned in the response. - `pageSize` (integer) The number of records returned per page in the response. - `accountId` (string) This parameter filters the response based on the accountId field. - `accountNumber` (string) This parameter filters the response based on the accountNumber field. - `amount` (number) This parameter filters the response based on the amount field. - `balance` (number) This parameter filters the response based on the balance field. - `beAppliedAmount` (number) This parameter filters the response based on the beAppliedAmount field. - `createdById` (string) This parameter filters the response based on the createdById field. - `createdDate` (string) This parameter filters the response based on the createdDate field. - `currency` (string) This parameter filters the response based on the currency field. - `debitMemoDate` (string) This parameter filters the response based on the debitMemoDate field. - `dueDate` (string) This parameter filters the response based on the dueDate field. - `number` (string) This parameter filters the response based on the number field. - `referredInvoiceId` (string) This parameter filters the response based on the referredInvoiceId field. - `status` (string) This parameter filters the response based on the status field. Enum: "Draft", "Posted", "Canceled", "Error", "PendingForTax", "Generating", "CancelInProgress" - `targetDate` (string) This parameter filters the response based on the targetDate field. - `taxAmount` (number) This parameter filters the response based on the taxAmount field. - `totalTaxExemptAmount` (number) This parameter filters the response based on the totalTaxExemptAmount field. - `updatedById` (string) This parameter filters the response based on the updatedById field. - `updatedDate` (string) This parameter filters the response based on the updatedDate field. - `sort` (string) This parameter restricts the order of the data returned in the response. You can use this parameter to supply a dimension you want to sort on. A sortable field uses the following form: operator field_name You can use at most two sortable fields in one URL path. Use a comma to separate sortable fields. For example: operator field_name, operator field_name operator is used to mark the order of sequencing. The operator is optional. If you only specify the sortable field without any operator, the response data is sorted in descending order by this field. - The - operator indicates an ascending order. - The + operator indicates a descending order. By default, the response data is displayed in descending order by debit memo number. field_name indicates the name of a sortable field. The supported sortable fields of this operation are as below: - number - accountId - debitMemoDate - targetDate - dueDate - amount - taxAmount - totalTaxExemptAmount - balance - beAppliedAmount - referredInvoiceId - createdDate - createdById - updatedDate - updatedById Examples: - /v1/debit-memos?sort=+number - /v1/debit-memos?status=Processed&sort=-number,+amount ## Response 200 fields (application/json): - `debitmemos` (array) Container for debit memos. - `debitmemos.accountId` (string) The ID of the customer account associated with the debit memo. - `debitmemos.accountNumber` (string) The number of the customer account associated with the debit memo. - `debitmemos.amount` (number) The total amount of the debit memo. - `debitmemos.autoPay` (boolean) Whether debit memos are automatically picked up for processing in the corresponding payment run. By default, debit memos are automatically picked up for processing in the corresponding payment run. - `debitmemos.balance` (number) The balance of the debit memo. - `debitmemos.beAppliedAmount` (number) The applied amount of the debit memo. - `debitmemos.billToContactId` (string) The ID of the bill-to contact associated with the debit memo. The value of this field is null if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled. - `debitmemos.cancelledById` (string,null) The ID of the Zuora user who cancelled the debit memo. - `debitmemos.cancelledOn` (string,null) The date and time when the debit memo was cancelled, in yyyy-mm-dd hh:mm:ss format. - `debitmemos.comment` (string,null) Comments about the debit memo. - `debitmemos.createdById` (string) The ID of the Zuora user who created the debit memo. - `debitmemos.createdDate` (string) The date and time when the debit memo was created, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-01 15:31:10. - `debitmemos.currency` (string,null) The currency of the debit memo. Note: By default, the currency on a billing document matches the default currency set on the associated account. However, Zuora now offers a Multiple Currencies feature to support different currencies for billing documents, allowing flexibility beyond the account-level currency. For more information, see Multiple Currency. - `debitmemos.debitMemoDate` (string) The date when the debit memo takes effect, in yyyy-mm-dd format. For example, 2017-05-20. - `debitmemos.dueDate` (string) The date by which the payment for the debit memo is due, in yyyy-mm-dd format. - `debitmemos.einvoiceErrorCode` (string,null) The error code returned when the e-invoice file status is Failed. This code can either be a Zuora-generated error code or one returned by a third-party e-invoicing service provider. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. - `debitmemos.einvoiceErrorMessage` (string,null) The error message returned when the e-invoice file status is Failed. This message can either be a Zuora-generated error message or one returned by a third-party e-invoicing service provider. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. - `debitmemos.einvoiceFileId` (string,null) The ID of the e-invoice file generated for the debit memo. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. - `debitmemos.einvoiceStatus` (string,null) The status of the e-invoice file generation for the debit memo. - If e-invoice file generation succeeds, this field is either Generated or Success, and both the error code and message are empty, and the eInvoiceFileId field stores the ID of the generated e-invoice file. - If the responses from tax vendors such as Sovos or Avalara are taking too long, this field becomes RetrieveTimeOut. Once the vendor responds successfully, you can use the 'Resync E-Invoice Status' action to update the status automatically. You can view these updates in System Health telemetry. - If a failure occurs during e-invoice file generation, this field is Failed and an error code and an error message are returned respectively in the einvoiceErrorCode and einvoiceErrorMessage fields. - If e-invoice file generation conditionally succeeds, this field is ConditionalSuccess and an error code and an error message are returned respectively in the einvoiceErrorCode and einvoiceErrorMessage fields. - If the e-invoice file has been approved by the tax authority, this field is ApprovedByAuthority. The next status will be either Success or Rejected. - If the e-invoice file has been rejected by the government, this field is Rejected. You cannot resend this e-invoice; you must create a new invoice instead. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. Enum: "Processing", "RetrieveTimeOut", "Generated", "Success", "Failed", "ConditionalSuccess", "ApprovedByAuthority", "Rejected" - `debitmemos.id` (string) The unique ID of the debit memo. - `debitmemos.invoiceGroupNumber` (string,null) The number of the invoice group associated with the debit memo. The value of this field is null if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled. - `debitmemos.latestPDFFileId` (string) The ID of the latest PDF file generated for the debit memo. - `debitmemos.number` (string) The unique identification number of the debit memo. - `debitmemos.paymentTerm` (string,null) The name of the payment term associated with the debit memo. The value of this field is null if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled. - `debitmemos.postedById` (string,null) The ID of the Zuora user who posted the debit memo. - `debitmemos.postedOn` (string,null) The date and time when the debit memo was posted, in yyyy-mm-dd hh:mm:ss format. - `debitmemos.reasonCode` (string) A code identifying the reason for the transaction. The value must be an existing reason code or empty. - `debitmemos.referredCreditMemoId` (string,null) The ID of the credit memo from which the debit memo was created. - `debitmemos.referredInvoiceId` (string,null) The ID of a referred invoice. - `debitmemos.sequenceSetId` (string,null) The ID of the sequence set associated with the debit memo. The value of this field is null if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled. - `debitmemos.communicationProfileId` (string,null) The ID of the communication profile associated with the debit memo. Note: This field is available in the request body only if you have the Flexible Billing Attributes feature turned on. The value is null in the response body without this feature turned on. - `debitmemos.sourceType` (string) The type of the debit memo source. Enum: "Subscription", "Standalone", "Order", "Consolidation", "Invoice", "CreditMemo" - `debitmemos.status` (string) The status of the debit memo. Enum: "Draft", "Posted", "Canceled", "Error", "PendingForTax", "Generating", "CancelInProgress" - `debitmemos.targetDate` (string,null) The target date for the debit memo, in yyyy-mm-dd format. For example, 2017-07-20. - `debitmemos.taxAmount` (number) The amount of taxation. - `debitmemos.taxMessage` (string,null) The message about the status of tax calculation related to the debit memo. If tax calculation fails in one debit memo, this field displays the reason for the failure. - `debitmemos.taxStatus` (string,null) The status of tax calculation related to the debit memo. Note: This field is only applicable to tax calculation by third-party tax engines. Also, the Voided status indicates that the tax transaction is successfully canceled on the tax vendor's side. If a tax transaction was successfully committed to the third-party tax engine but the invoice failed to post, Zuora automatically detects the issue and voids the tax transaction on the vendor's side. Enum: "Complete", "Error", "UnknownError", "DuplicateDoc", "InvalidRequest", "InvalidResponse", "TaxEngineError", "ConcurrentModify", "InternalServerError", "TaxCodeTemplateError", "Voided" - `debitmemos.totalTaxExemptAmount` (number) The calculated tax amount excluded due to the exemption. - `debitmemos.transferredToAccounting` (string) Whether the debit memo was transferred to an external accounting system. Use this field for integration with accounting systems, such as NetSuite. Enum: "Processing", "Yes", "No", "Error", "Ignore" - `debitmemos.updatedById` (string) The ID of the Zuora user who last updated the debit memo. - `debitmemos.updatedDate` (string) The date and time when the debit memo was last updated, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-02 15:31:10. - `debitmemos.IntegrationId__NS` (string) ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `debitmemos.IntegrationStatus__NS` (string) Status of the debit memo's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `debitmemos.SyncDate__NS` (string) Date when the debit memo was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `nextPage` (string) URL to retrieve the next page of the response if it exists; otherwise absent. - `success` (boolean) Returns true if the request was processed successfully. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.